Bug 1277663 - [abrt] kinfocenter: qt_message_fatal(): kinfocenter killed by SIGABRT
[abrt] kinfocenter: qt_message_fatal(): kinfocenter killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kinfocenter (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6dc5c8319603ceabca3b4506130...
:
: 1315770 1316510 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 14:04 EST by 123
Modified: 2016-12-20 10:20 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:20:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.58 KB, text/plain)
2015-11-03 14:04 EST, 123
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-03 14:04 EST, 123
no flags Details
File: core_backtrace (17.80 KB, text/plain)
2015-11-03 14:04 EST, 123
no flags Details
File: dso_list (18.59 KB, text/plain)
2015-11-03 14:04 EST, 123
no flags Details
File: environ (1.61 KB, text/plain)
2015-11-03 14:04 EST, 123
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-03 14:04 EST, 123
no flags Details
File: maps (87.41 KB, text/plain)
2015-11-03 14:04 EST, 123
no flags Details
File: mountinfo (3.16 KB, text/plain)
2015-11-03 14:04 EST, 123
no flags Details
File: open_fds (1.29 KB, text/plain)
2015-11-03 14:04 EST, 123
no flags Details
File: proc_pid_status (1011 bytes, text/plain)
2015-11-03 14:04 EST, 123
no flags Details
File: var_log_messages (300 bytes, text/plain)
2015-11-03 14:04 EST, 123
no flags Details

  None (edit)
Description 123 2015-11-03 14:04:09 EST
Version-Release number of selected component:
kinfocenter-5.4.2-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 3
cmdline:        /bin/kinfocenter
crash_function: qt_message_fatal
executable:     /usr/bin/kinfocenter
global_pid:     2197
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 qt_message_fatal at global/qlogging.cpp:1575
 #3 QMessageLogger::fatal at global/qlogging.cpp:777
 #4 qt_pixmap_thread_test at image/qpixmap.cpp:68
 #6 QPixmap::QPixmap at image/qpixmap.cpp:103
 #7 QCursorData::QCursorData at kernel/qcursor.cpp:618
 #8 QCursorData::initialize at kernel/qcursor.cpp:649
 #9 QCursor::QCursor at kernel/qcursor.cpp:560
 #10 QQuickItem::cursor at /usr/src/debug/qtdeclarative-opensource-src-5.5.0/src/quick/items/qquickitem.cpp:6770
 #11 QQuickMouseArea::setCursorShape at /usr/src/debug/qtdeclarative-opensource-src-5.5.0/src/quick/items/qquickmousearea.cpp:1256
 #12 QQuickMouseArea::qt_static_metacall at .moc/moc_qquickmousearea_p.cpp:444
Comment 1 123 2015-11-03 14:04:14 EST
Created attachment 1089169 [details]
File: backtrace
Comment 2 123 2015-11-03 14:04:15 EST
Created attachment 1089170 [details]
File: cgroup
Comment 3 123 2015-11-03 14:04:17 EST
Created attachment 1089171 [details]
File: core_backtrace
Comment 4 123 2015-11-03 14:04:19 EST
Created attachment 1089172 [details]
File: dso_list
Comment 5 123 2015-11-03 14:04:21 EST
Created attachment 1089173 [details]
File: environ
Comment 6 123 2015-11-03 14:04:22 EST
Created attachment 1089174 [details]
File: limits
Comment 7 123 2015-11-03 14:04:25 EST
Created attachment 1089175 [details]
File: maps
Comment 8 123 2015-11-03 14:04:26 EST
Created attachment 1089176 [details]
File: mountinfo
Comment 9 123 2015-11-03 14:04:28 EST
Created attachment 1089177 [details]
File: open_fds
Comment 10 123 2015-11-03 14:04:29 EST
Created attachment 1089178 [details]
File: proc_pid_status
Comment 11 123 2015-11-03 14:04:31 EST
Created attachment 1089179 [details]
File: var_log_messages
Comment 12 guille.bonh 2015-11-03 16:08:36 EST
Another user experienced a similar problem:

I was running dnf update in a X-Terminal. Then I opened KInfoCenter, everything was fine. Then I closed KInfoCenter, apparently all was right but after a minute a crash message appeared.

reporter:       libreport-2.6.3
backtrace_rating: 3
cmdline:        /bin/kinfocenter
crash_function: qt_message_fatal
executable:     /usr/bin/kinfocenter
global_pid:     4023
kernel:         4.2.3-300.fc23.x86_64
package:        kinfocenter-5.4.2-1.fc23
reason:         kinfocenter killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Edward O'Callaghan 2015-12-02 11:58:19 EST
Same thing happened to me.
Comment 14 Christophe Demez 2016-03-08 10:02:33 EST
*** Bug 1315770 has been marked as a duplicate of this bug. ***
Comment 15 Bruno Gualda 2016-03-10 06:28:45 EST
*** Bug 1316510 has been marked as a duplicate of this bug. ***
Comment 16 Fedora End Of Life 2016-11-24 08:02:52 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 10:20:03 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.